////1. Обьяснить своими словами разницу между обьявлением переменных через var, let и const. 

// Впершу чергу хотілось звернути увагу на те, що в данний час змінна var є застарілим формулюванням. Раніше була єдина змінна з формулюванням var, 
//але поскільки особливості області видимості створювали незручності від неї відмовились(нижче відповідь на наступне питання  ) і ввели нові змінні let і const. Тому в минулому змінна var виконувала всі ті функції, 
// що зараз виконують let і const.  Let i const є сучасними формулюванями при оголошенні змінних, але застосовуються в різних ситуаціях. 

// const використовується в випадках, коли ми знаємо, що наша змінна має стале значення і небуде змінюватися в ході виконання алгоритму коду.  
// Наприклад:
// const userName = "Yaroslav";
// userName = prompt('What is your name?'); -> В разі використання prompt , консоль виведе помилку, тому, що неможна мыняти стале значення змінної. 
// console.log(userName);

// let використовується в тому разі, якщо ми не маємо сталого значення змінної і наприклад хочемо отримати ці данні від користувача за допомогою prompt
// наприклад: let userName = null;
//userName = prompt('What is your name?'); -> Вводимо "Yaroslav"
//console.log(userName); -> В консоль нам виведе "Yaroslav" 
// В данному випадку внас початкове значення змінної userName було null, але в ході виконання коду userName отримало нове значення.  

////2. Почему объявлять переменную через var считается плохим тоном? 
// Як згадував раніше, var є застарілим значеннят, тому що даний спосіб приносить багато неточностей в роботі в першу чергу через свою область видимості. 
// var знаходиться в глобальній області видимості і тому недивлячись на те, що ми оголосимо значення змінної в блоці, нам поверне останнє значення var певної змінної і це не 
// є зручно.    


//3. Реализовать простую программу на Javascript, которая будет взаимодействовать с пользователем с помощью модальных окон браузера - alert, prompt, confirm. Задача должна быть реализована на языке javascript, без использования фреймворков и сторонник библиотек (типа Jquery).

let userName = null;
let userAge = null;

do{
    userName = prompt('What is your name?');
    } while (userName === '');

do{
    userAge = +prompt ('How old are you?');
    } while (userAge === '' || Number.isNaN(+userAge));

if(userAge < 18) {
    alert('You are not allowed to visit this website');
} else if (userAge >= 18 && userAge <= 22) {
    confirm('Are you sure you want to continue?');
    if(confirm == true){
        alert(`Welcome, ${userName}`);
    }  else {
        alert('You are not allowed to visit this website');
    }
} else {
    alert(`Welcome, ${userName}`);
}